#ifndef POWERSAVE_GLOBALS_H
#define POWERSAVE_GLOBALS_H

class PM_Interface;
class GeneralConfig;
class CpufreqManagement;
class MainLoop;

namespace Powersave {

	namespace Globals {
		
		/** @brief global object
		 *         must be declared extern to let DBus functions
		 *         be able to access the handleDBusRequest function
		 */
		extern PM_Interface *pm;
		
		/** @brief global configuration object */
		extern GeneralConfig *config_obj;
		
		/** @brief global cpufreq object */
		extern CpufreqManagement *cpufreq;
		
		/** @brief global MainLoop object */
		extern MainLoop *main_loop;
		
	};

};

	
#endif
